%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 1.0
%define major 0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{api}
%define devname	%mklibname -d %{name}

Summary:	Tool and library mainly made to create Cabinet files
Name:		gcab
Version:	1.4
Release:	%mkrel 2
Group:		Development/Databases
License:	GPLv2+
Url:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcab/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Tool and library mainly made to create Cabinet files.
 - creation supports plain and basic MSZIP compression
 - can open and list files from cabinet, no extraction

%package -n	%{libname}
Summary:	A support library for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for %{name}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GCab-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gcab
%{_includedir}/lib%{name}-%{api}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GCab-%{api}.gir
%{_datadir}/vala/vapi/libgcab-%{api}.*


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1542738
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 ovitters <ovitters> 1.4-1.mga8
+ Revision: 1476936
- new version 1.4

* Fri Oct 11 2019 daviddavid <daviddavid> 1.3-1.mga8
+ Revision: 1451589
- new version 1.3

* Wed Apr 17 2019 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1392194
- Rebuild with meson 0.50.1

* Sun Dec 09 2018 ovitters <ovitters> 1.2-1.mga7
+ Revision: 1339279
- new version 1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1297830
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 ovitters <ovitters> 1.1-1.mga7
+ Revision: 1222925
- new version 1.1

* Tue Jan 23 2018 ovitters <ovitters> 0.8-1.mga7
+ Revision: 1196586
- new version 0.8

* Wed Mar 09 2016 ovitters <ovitters> 0.7-1.mga6
+ Revision: 988560
- new version 0.7

* Thu Feb 11 2016 umeabot <umeabot> 0.6-2.mga6
+ Revision: 953974
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 ovitters <ovitters> 0.6-1.mga6
+ Revision: 838548
- new version 0.6
- dropped merged patch 1

* Tue Jan 06 2015 ovitters <ovitters> 0.4-6.mga5
+ Revision: 808724
- fix CVE-2015-0552 (mga#14962)

* Wed Oct 15 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 743681
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.4-4.mga5
+ Revision: 731135
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 679429
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 523825
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 ovitters <ovitters> 0.4-1.mga4
+ Revision: 395697
- new version 0.4

* Sat Jan 26 2013 oden <oden> 0.3-1.mga3
+ Revision: 392364
- imported package gcab


* Sat Jan 26 2013 Oden Eriksson <oeriksson@mandriva.com> 0.3-1.mga2
- fedora/openmandriva import
